Magick::PathSmoothQuadraticCurvetoAbs Class Reference

`#include <Drawable.h>`

Inheritance diagram for Magick::PathSmoothQuadraticCurvetoAbs:
[legend]
Collaboration diagram for Magick::PathSmoothQuadraticCurvetoAbs:
[legend]

## Public Member Functions

| PathSmoothQuadraticCurvetoAbs (const Magick::Coordinate &coordinate_)
| PathSmoothQuadraticCurvetoAbs (const CoordinateList &coordinates_)
| PathSmoothQuadraticCurvetoAbs (const PathSmoothQuadraticCurvetoAbs &original_)
| ~PathSmoothQuadraticCurvetoAbs (void)
void | operator() (MagickCore::DrawingWand *context_) const
VPathBase * | copy () const
Public Member Functions inherited from Magick::VPathBase
| VPathBase (void)
virtual | ~VPathBase (void)

## Detailed Description

Definition at line 2772 of file Drawable.h.

## Constructor & Destructor Documentation

Magick::PathSmoothQuadraticCurvetoAbs::PathSmoothQuadraticCurvetoAbs | ( | const Magick::Coordinate & | coordinate_ | ) |

Definition at line 2062 of file Drawable.cpp.

Magick::PathSmoothQuadraticCurvetoAbs::PathSmoothQuadraticCurvetoAbs | ( | const CoordinateList & | coordinates_ | ) |

Definition at line 2067 of file Drawable.cpp.

Magick::PathSmoothQuadraticCurvetoAbs::PathSmoothQuadraticCurvetoAbs | ( | const PathSmoothQuadraticCurvetoAbs & | original_ | ) |

Definition at line 2072 of file Drawable.cpp.

Magick::PathSmoothQuadraticCurvetoAbs::~PathSmoothQuadraticCurvetoAbs | ( | void |  | ) |

Definition at line 2077 of file Drawable.cpp.

## Member Function Documentation

Magick::VPathBase * Magick::PathSmoothQuadraticCurvetoAbs::copy | ( |  | ) | const

virtual

Implements Magick::VPathBase.

Definition at line 2089 of file Drawable.cpp.

void Magick::PathSmoothQuadraticCurvetoAbs::operator() | ( | MagickCore::DrawingWand * | context_ | ) | const

virtual

Implements Magick::VPathBase.

Definition at line 2081 of file Drawable.cpp.

The documentation for this class was generated from the following files:

- Drawable.h
- Drawable.cpp